public interface ReceiveTriggerWebhookRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract HttpBody getBody()HTTP request body.
.google.api.HttpBody body = 1;
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBody |
The body. |
getBodyOrBuilder()
public abstract HttpBodyOrBuilder getBodyOrBuilder()HTTP request body.
.google.api.HttpBody body = 1;
| Returns | |
|---|---|
| Type | Description |
com.google.api.HttpBodyOrBuilder |
|
getName()
public abstract String getName() The name of the ReceiveTriggerWebhook to retrieve.
Format: projects/{project}/locations/{location}/triggers/{trigger}
string name = 5;
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public abstract ByteString getNameBytes() The name of the ReceiveTriggerWebhook to retrieve.
Format: projects/{project}/locations/{location}/triggers/{trigger}
string name = 5;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
getProjectId()
public abstract String getProjectId()Project in which the specified trigger lives
string project_id = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The projectId. |
getProjectIdBytes()
public abstract ByteString getProjectIdBytes()Project in which the specified trigger lives
string project_id = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for projectId. |
getSecret()
public abstract String getSecret()Secret token used for authorization if an OAuth token isn't provided.
string secret = 4;
| Returns | |
|---|---|
| Type | Description |
String |
The secret. |
getSecretBytes()
public abstract ByteString getSecretBytes()Secret token used for authorization if an OAuth token isn't provided.
string secret = 4;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for secret. |
getTrigger()
public abstract String getTrigger()Name of the trigger to run the payload against
string trigger = 3;
| Returns | |
|---|---|
| Type | Description |
String |
The trigger. |
getTriggerBytes()
public abstract ByteString getTriggerBytes()Name of the trigger to run the payload against
string trigger = 3;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for trigger. |
hasBody()
public abstract boolean hasBody()HTTP request body.
.google.api.HttpBody body = 1;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |